Bug 552445 - pinyin keep crash when CPU load high.
pinyin keep crash when CPU load high.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 586292
  Show dependency treegraph
 
Reported: 2010-01-04 23:52 EST by biAji
Modified: 2010-04-27 04:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586292 (view as bug list)
Environment:
Last Closed: 2010-04-21 06:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description biAji 2010-01-04 23:52:47 EST
Description of problem:

Can't use pinyin input method when in high cpu load condition. Pinyin keep crashing. You have to restart from applet and after a while , it crashed again.

Version-Release number of selected component (if applicable):

ibus-libs-1.2.0.20091204-2.fc12.i686
ibus-gtk-1.2.0.20091204-2.fc12.i686
ibus-pinyin-1.2.0.20090915-1.fc12.noarch
ibus-1.2.0.20091204-2.fc12.i686

How reproducible:

Do some CPU consuming work, and input characters using ibus-pinyin.


Steps to Reproduce:
1. Do some CPU consuming work
2. input something using ibus-pinyin
3. BOOM!!!
  
Actual results:

it crash again and again. input panel disappear and can't using ctrl-space shortcut to call out pinyin input method again.

Expected results:

nothing special happened

Additional info:

After crash, the daemon complained: 

(ibus-daemon:29976): IBUS-WARNING **: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 1 Peng Huang 2010-01-20 03:45:54 EST
Please try new ibus.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0385
Comment 2 Peng Huang 2010-04-07 22:41:06 EDT
Fixed in ibus-pinyin-1.3.1-1.fc12

Note You need to log in before you can comment on or make changes to this bug.